<!-- header -->
<app-side-modal-header>
  <!-- title -->
  <app-side-modal-title>
    REGISTER NEW<br />
    DEVICE
  </app-side-modal-title>
</app-side-modal-header>

<!-- content -->
<app-side-modal-content>
  <!-- stepper -->
  <app-stepper (stepChange)="onStepChanged($event)" [step]="1" [steps]="2"></app-stepper>

  <!-- scroll content -->
  <app-custom-scrollbar>
    <div class="app-label header">
      Complete the data below
    </div>

    <!-- name -->
    <app-form-field [control]="name" [errors]="nameErrors" label="Device Name" type="input"></app-form-field>

    <!-- description -->
    <app-form-field [control]="description" additionalLabel="OPTIONAL" label="Description" type="text"></app-form-field>

    <!-- note -->
    <app-note>
      After successful register, the device is cannot be unregistered. Please do the step carefully.
    </app-note>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- next -->
  <button (click)="emitNextClick()" appFlatButton theme="secondary">
    Next
  </button>

  <!-- cancel -->
  <button (click)="emitCancelClick()" appInlineButton theme="secondary">
    Cancel
  </button>
</app-side-modal-footer>
